﻿using JetBrains.Annotations;
using OpcLabs.BaseLib.Collections.Specialized;

namespace OpcLabs.BaseLibFactory.Collections.Specialized
{
    static public class StringObjectDictionaryInstances
    {
        [NotNull]
        static public StringObjectDictionary SingleElement => new StringObjectDictionary { { "Element1", 111 }};

        [NotNull]
        static public StringObjectDictionary SingleElementEmptyKey => new StringObjectDictionary { { "", 222 }};

        [NotNull]
        static public StringObjectDictionary SingleElementNullValue => new StringObjectDictionary { { "Element1", null }};

        [NotNull]
        static public StringObjectDictionary MoreElements => new StringObjectDictionary
        {
            { "Element1", 222 },
            { "Element2", "String2" },
            { "Element3", null },
            { "Element4", 222.2d },
            { "Element5", false },
            { "Element6", true }
        };

        // IMPROVE: have more
    }
}
