﻿using System;
using System.IO;
using System.Runtime.InteropServices;
using JetBrains.Annotations;
using OpcLabs.BaseLib.OperationModel;

namespace OpcLabs.BaseLibFactory.OperationModel
{
    static public class ConnectedConditionChangedEventArgsInstances
    {
        [NotNull]
        static public ConnectedConditionChangedEventArgs Instance0 => new ConnectedConditionChangedEventArgs();

        [NotNull]
        static public ConnectedConditionChangedEventArgs Instance1 => new ConnectedConditionChangedEventArgs
        {
            Connected = true,
        };

        [NotNull]
        static public ConnectedConditionChangedEventArgs Instance2 => new ConnectedConditionChangedEventArgs
        {
            ErrorCode = -2,
            Exception = new COMException("TestMessage2"),
            Diagnostics = { new ApplicationException("Diagnostics1", new IOException("Diagnostics2")) }
        };
    }
}
