﻿using JetBrains.Annotations;
using OpcLabs.EasyOpc.Engine;

namespace OpcLabs.EasyOpcFactory.Engine
{
    static public class EasyClientParametersInstances
    {
        [NotNull]
        static public EasyClientParameters Instance0 => new EasyClientParameters();

        [NotNull]
        static public EasyClientParameters Instance1 => new EasyClientParameters
        {
            ClientReconnectDelay = 111,
            ExecutionContext = 222,
            ServerFailedReconnectDelay = 333,
            ServerShutdownReconnectDelay = 444,
            ServerStatusCheckPeriod = 555,
            TurnOffActivationSecurity = true,
            TurnOffCallSecurity = true,
            UseCustomSecurity = false,
        };
    }
}
