﻿using JetBrains.Annotations;
using OpcLabs.EasyOpc;

namespace OpcLabs.EasyOpcFactory
{
    static public class ServerCategoriesInstances
    {
        [NotNull]
        static public ServerCategories Instance_DataAccess => new ServerCategories
        {
            OpcDataAccess10 = true,
            OpcDataAccess20 = true,
            OpcDataAccess30 = true,
            OpcXmlDataAccess10 = true,
        };

        [NotNull]
        static public ServerCategories Instance_OpcAlarmsAndEvents10 => new ServerCategories
        {
            OpcAlarmsAndEvents10 = true
        };

        [NotNull]
        static public ServerCategories Instance_OpcDataAccess10 => new ServerCategories
        {
            OpcDataAccess10 = true
        };

        [NotNull]
        static public ServerCategories Instance_OpcDataAccess20 => new ServerCategories
        {
            OpcDataAccess20 = true
        };

        [NotNull]
        static public ServerCategories Instance_OpcDataAccess30 => new ServerCategories
        {
            OpcDataAccess30 = true
        };

        [NotNull]
        static public ServerCategories Instance_OpcXmlDataAccess10 => new ServerCategories
        {
            OpcXmlDataAccess10 = true
        };
    }
}
