﻿
using System;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using OpcLabs.BaseLib.LiveBinding;

namespace OpcLabs.BaseLibTest.LiveBinding
{
    public partial class PointBinderTest
    {
        [ExpectedException(typeof(InvalidOperationException))]
        [TestMethod]
        public void TwoBindersWithSameBindingExtenderTest()
        {
            var bindingExtender = new BindingExtender();

            var pointBinder1 = new PointBinder
            {
                BindingExtender = bindingExtender
            };

            // ReSharper disable once UseObjectOrCollectionInitializer
            var pointBinder2 = new PointBinder();
            try
            {
                pointBinder2.BindingExtender = bindingExtender;
            }
            catch (Exception)
            {
                Assert.IsNull(pointBinder2.BindingExtender);
                throw;
            }
        }
    }
}
