﻿using JetBrains.Annotations;
using OpcLabs.BaseLib.DataTypeModel;

namespace OpcLabs.BaseLibFactory.DataTypeModel
{
    static public class EnumerationDataTypeInstances
    {
        [NotNull]
        static public EnumerationDataType Instance0 => new EnumerationDataType();

        [NotNull]
        static public EnumerationDataType Instance1 => new EnumerationDataType("aName");
        
        [NotNull]
        static public EnumerationDataType Instance2 => new EnumerationDataType("aName2", "aFullName2");

        [NotNull] static public EnumerationDataType Instance3 => new EnumerationDataType("aName2", "aFullName2")
        {
            Description = "aDescription"
        };

        [NotNull]
        static public EnumerationDataType Instance4 => new EnumerationDataType("aName4", "aFullName4")
        {
            EnumerationMemberInstances.Instance0
        };

        [NotNull]
        static public EnumerationDataType Instance5 => new EnumerationDataType("aName5", "aFullName5")
        {
            EnumerationMemberInstances.Instance0,
            EnumerationMemberInstances.Instance1,
            EnumerationMemberInstances.Instance2
        };
    }
}
