﻿using JetBrains.Annotations;
using OpcLabs.BaseLib.DataTypeModel;

namespace OpcLabs.BaseLibFactory.DataTypeModel
{
    static public class EnumerationDataInstances
    {
        [NotNull]
        static public EnumerationData Instance0 => new EnumerationData();

        [NotNull]
        static public EnumerationData Instance1 => new EnumerationData(100000);

        [NotNull] static public EnumerationData Instance2 =>
            new EnumerationData(EnumerationDataTypeInstances.Instance1, 100001);
    }
}
