﻿using System.Runtime.InteropServices;
using JetBrains.Annotations;
using OpcLabs.BaseLib.OperationModel;

namespace OpcLabs.BaseLibFactory.OperationModel
{
    static public class ValueArrayResultInstances
    {
        [NotNull]
        static public ValueArrayResult Instance0 => new ValueArrayResult();

        [NotNull]
        static public ValueArrayResult Instance1 => new ValueArrayResult(state:null, valueArray:new object[0]);

        [NotNull]
        static public ValueArrayResult Instance2 => new ValueArrayResult("TestState", new object[] {"TestElement0", 1, 2.0});

        [NotNull]
        static public ValueArrayResult Instance3 => new ValueArrayResult(null, new COMException("TestMessage", 918273645), -8273645);

        [NotNull]
        static public ValueArrayResult Instance4 => new ValueArrayResult(null, new COMException("TestMessage1", new COMException("TestMessage2")), -918273645);
    }
}
