﻿using JetBrains.Annotations;
using OpcLabs.EasyOpc.DataAccess.Connectivity;

namespace OpcLabs.EasyOpcFactory.DataAccess.Connectivity
{
    static public class DAItemPointInstances
    {
        [NotNull]
        static public DAItemPoint Instance1
        {
            get
            {
                var itemPoint = new DAItemPoint(ServerDescriptorInstances.Instance1, DAItemDescriptorInstances.Instance1);
                return itemPoint;
            }
        }

        [NotNull]
        static public DAItemPoint Instance2
        {
            get
            {
                var itemPoint = new DAItemPoint(ServerDescriptorInstances.Instance2, DAItemDescriptorInstances.Instance2);
                return itemPoint;
            }
        }
    }
}
