﻿using JetBrains.Annotations;
using OpcLabs.EasyOpc.DataAccess.Engine;

namespace OpcLabs.EasyOpcFactory.DataAccess.Engine
{
    static public class EasyDATopicParametersInstances
    {
        [NotNull]
        static public EasyDATopicParameters Instance1 => new EasyDATopicParameters
        {
            AbandonIntervalMinimum = 111,
            AbandonRateMultiplier = 222.2f,
            ExactManualGroupMatch = false,
            FastestAutomaticUpdateRate = 333,
            FastestManualUpdateRate = 444,
            HighestManualPercentDeadband = 55.55f,
            LowestManualPercentDeadband = 66.66f,
            SlowdownWeight = 777.7f,
            SlowestAutomaticUpdateRate = 888,
            SlowestManualUpdateRate = 999,
            SpeedupWeight = 1010.10f,
            TopicRetrialDelay = 1111,
            UpdateRateNegativeHysteresis = 12.1212f,
            UpdateRatePositiveHysteresis = 13.1313f,
        };
    }
}
