﻿using System;
using JetBrains.Annotations;
using OpcLabs.EasyOpc.UA;

namespace OpcLabs.EasyOpcFactory.UA
{
    static public class UADataValueInstances
    {
        // same as Null
        //[NotNull]
        //static public UADataValue Instance0 => new UADataValue();

        [NotNull]
        static public UADataValue Instance1 => new UADataValue(
            "testValue1", 
            UAStatusCodeInstances.Instance1, 
            DateTime.MaxValue,
            new DateTime(2014, 9, 23, 14, 2, 33, 555, DateTimeKind.Utc));

        [NotNull]
        static public UADataValue Instance2 => new UADataValue(
            222, 
            UAStatusCodeInstances.Instance2, 
            new DateTime(2014, 9, 23, 14, 2, 33, 555, DateTimeKind.Utc), 
            DateTime.MaxValue);

        [NotNull]
        static public UADataValue Instance3 => new UADataValue(
            222,
            UAStatusCodeInstances.Instance0,
            new DateTime(2014, 9, 23, 14, 2, 33, 555, DateTimeKind.Utc),
            new DateTime(2015, 5, 14, 17, 12, 34, 556, DateTimeKind.Utc));

        // IMPROVE: have more
    }
}
