﻿using JetBrains.Annotations;
using OpcLabs.EasyOpc;

namespace OpcLabs.EasyOpcLiveTest.Legacy.DataAccess
{
    public class DAServerCatalogEntry : ServerCatalogEntry
    {
        public DAServerCatalogEntry([NotNull] ServerElement element) : base(element)
        {
            ItemCatalog = new DAItemCatalog();
            NodeCatalog = new DANodeCatalog();
        }

        [NotNull]
        public DAItemCatalog ItemCatalog { get; private set; }

        [NotNull]
        public DANodeCatalog NodeCatalog { get; private set; }
    }
}
