﻿
using System;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using OpcLabs.BaseLib;
using OpcLabs.EasyOpc.UA;
using OpcLabs.EasyOpc.UA.AlarmsAndConditions;
using OpcLabs.UnitTestLib;

namespace OpcLabs.EasyOpcTest.UA.AlarmsAndConditions
{
    public partial class EasyUAAlarmsAndConditionsClientTest
    {
        #region Test Methods

        [TestCategory("OpcUA")]
        [TestMethod]
        public void GetServiceTest_IDisposable()
        {
            TestSection.Arrange();
            IServiceProviderTest.GetServiceTest(new EasyUAAlarmsAndConditionsClient(), typeof(IDisposable));
        }

        [TestCategory("OpcUA")]
        [TestMethod]
        public void GetServiceTest_IEasyUAAlarmsAndConditionsClient()
        {
            TestSection.Arrange();
            IServiceProviderTest.GetServiceTest(new EasyUAAlarmsAndConditionsClient(), typeof(IEasyUAAlarmsAndConditionsClient));
        }

        [TestCategory("OpcUA")]
        [TestMethod]
        public void GetServiceTest_ILicenseInfoProvider()
        {
            TestSection.Arrange();
            IServiceProviderTest.GetServiceTest(new EasyUAAlarmsAndConditionsClient(), typeof(ILicenseInfoProvider));
        }

        [TestCategory("OpcUA")]
        [TestMethod]
        public void GetServiceTest_Negative_IEasyUAClient()
        {
            TestSection.Arrange();
            IServiceProviderTest.GetServiceTest_Negative(new EasyUAAlarmsAndConditionsClient(), typeof(IEasyUAClient));
        }

        #endregion
    }
}
